package at.fos.ermodel.gui;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

import java.io.Serial;


public class Graphic_ATTR_Multi_Elem
        extends Graphic_ATTR_Elem {
    @Serial
    private static final long serialVersionUID = 1L;

    public Graphic_ATTR_Multi_Elem(GraphicsContext gc, double x, double y, String name, boolean derived, long elementID) {
        super(gc, x, y, name, elementID);
        super.setDerived(derived);
    }

    public void dsfdsfds6787686(Color c) {
        if (!this.isVisible)
            return;
        this.gc.beginPath();

        this.gc.setStroke(c);
        if (super.derived) {
            this.gc.setLineWidth(1.0D);
            this.gc.setLineDashes(3.0D);
        }
        this.gc.strokeOval(this.xPos - this.textWidth / 2.0D, this.yPos - this.textHeight / 2.0D, this.textWidth, this.textHeight);
        this.gc.strokeOval(this.xPos - this.textWidth / 2.0D + 3.0D, this.yPos - this.textHeight / 2.0D + 3.0D, this.textWidth - 6.0D, this.textHeight - 6.0D);
        this.gc.setLineDashes();

        this.gc.setFill(C2.ERMTextColor);
        this.gc.fillText(this.name, this.xPos - this.textWidth / 2.0D + 10.0D, this.yPos + this.textHeight / 2.0D - 15.0D);

        this.gc.closePath();
    }

    public String safsafdsa456456456() {
        return "A-M";
    }
}


